%define major		10
%define libname		%mklibname linphone %{major}
%define devname		%mklibname linphone -d

%define libnamepp	%mklibname linphone++ %{major}

# doc build doesn't like doxygen >= 1.8.17
%bcond_with docs
%bcond_without linphonepp

Name:           liblinphone
Version:        4.4.21
Release:        %mkrel 2
Summary:        Voice over IP Application
License:        GPLv2+
Group:          Communications
URL:            http://www.linphone.org
Source0:       	liblinphone.tar.xz

%description
Linphone is an open source SIP Phone, available on mobile and desktop
environments.

%package -n linphone-cli
Summary:        Command Line Interface for %{name}
Group:          Communications
Requires:       liblinphone-data >= %{version}-%{release}

%description -n linphone-cli
Linphone is an open source SIP Phone, available on mobile and desktop
environments.

This package contains the command line interface.

%package data
Summary:        Data files for %{name}
Group:          Communications
BuildArch:      noarch


%description data
Linphone is an open source SIP Phone, available on mobile and desktop
environments.

This package contains data files such as sounds.

%package -n %{libname}
Summary:        Primary library for %{name}
Group:          System/Libraries
Requires:       liblinphone-data

%description -n %{libname}
Primary library for %{name}.

%package -n %{libnamepp}
Summary:        C++ wrapper library for %{name}
Group:          System/Libraries

%description -n %{libnamepp}
C++ wrapper library for %{name}.

%package -n %{devname}
Summary:        Header files and development libraries from %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Requires:       %{libnamepp} = %{version}-%{release}
Requires:       %{name}-data >= %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%prep

%build

%install
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot


%files -n linphone-cli
%{_bindir}/linphonec*
%{_bindir}/linphone-daemon*

%files data
%{_datadir}/sounds/linphone/
%{_datadir}/belr/grammars/*_grammar
%dir %{_datadir}/linphone/
%{_datadir}/linphone/rootca.pem

%files -n %{libname}
%{_libdir}/liblinphone.so.%{major}*

%files -n %{libnamepp}
%{_libdir}/liblinphone++.so.%{major}*

%files -n %{devname}
%{_includedir}/linphone/
%{_libdir}/liblinphone.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/Linphone/

%{_includedir}/linphone++/
%{_libdir}/liblinphone++.so
%{_libdir}/cmake/LinphoneCxx/

%post -n %{libname}
/sbin/ldconfig

%post -n %{libnamepp}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%postun -n %{libnamepp}
/sbin/ldconfig

%changelog
* Sun Oct 09 2022 tex - 4.4.21-2pclos2022
- rebuild against updates

* Sat Jan 02 2021 tex - 4.4.21-1pclos2021
- new version 4.4.21
- use extracted binary build from mga
